## pidgin 2.6.6-1nix0

=== finch/libgnt/test/Makefile ===
CC=gcc
CFLAGS=`pkg-config --cflags gobject-2.0 gmodule-2.0` -g -I../ -DSTANDALONE -I/usr/include/ncursesw/
LDFLAGS=`pkg-config --libs gobject-2.0 gmodule-2.0 gnt` -pg

EXAMPLES=combo focus tv multiwin keys menu parse

all:
	make examples

clean:
	rm -f $(EXAMPLES) *.so wm

WM: wm
	for i in $(EXAMPLES); do gcc -shared $(CFLAGS) -USTANDALONE $(LDFLAGS) $${i}.c -o $${i}.so ; done

examples: $(EXAMPLES)
