## pidgin 2.3.0-0nix0

=== debian/changelog ===
pidgin (2.3.0-0nix0) unstable; urgency=low

  * Moved up to 2.3.0
  * Forgot to merge pounce dialog scrollability
  * Make menu entry l10n work on Chinook and Bora
  * Track debianizations via mtn and remove tarball
  * Start separating out libpurple for future haze coexistence
  * Add AIM/ICQ and XMPP to libpurple package
  * Make Bonjour support work in Chinook using RTComm's avahi build

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 10 Nov 2007 23:24:25 +0200

pidgin (2.2.2-0nix0) unstable; urgency=low

  * Moved source up to 2.2.2
  * Bundled prpls that don't have library dependencies with Pidgin itself
  * Improved scrolling hack
  * Replaced GtkSpinButton with HildonNumberEditor for integer gtkprefs
  * Remove send button when a physical keyboard appears (by listening to GConf keys)
  * Enable docklet when using hildon-1 (looks ugly, but it should soon be fixed)
  * Distribute /etc/purple/prefs.xml containing prefs that differ from upstream defaults
  * Different builds for bora and for Chinook
  * Added typing notification icon to the new per-IM info pane

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 28 Oct 2007 13:40:00 +0200

pidgin (2.1.0-2nix0) unstable; urgency=low

  * Don't bring up convo when rocker-clicking on expanded contact

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu,  2 Aug 2007 21:46:58 +0300

pidgin (2.1.0-1nix0) unstable; urgency=low

  * Bonjour support (requires yet another repo)
  * Rocker-click buddy to start conversation
  * Annoying group-header-click bounciness fixed

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu,  2 Aug 2007 01:17:03 +0300

pidgin (2.1.0-0nix0) unstable; urgency=low

  * Added proper dependencies to all packages containing binaries
  * Added sametime package (relying on MH's libmeanwhile distro)
  * Non-smeared buddy list scrolling via
    gdk_window_process_updates@adjustment-value-changed
  * Moved code base to 2.1.0

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 30 Jul 2007 19:29:42 +0300

pidgin (2.0.0-1nix1) unstable; urgency=low

  * Properly packaged protocol plugins
  * Removed reference to .la files from .install files

 -- Gabriel Schulhof <nix@go-nix.ca>  Tue,  8 May 2007 00:11:10 +0300

pidgin (2.0.0-1nix0) unstable; urgency=low

  * Moved to pidgin-2.0.0
  * Added "Really quit Pidgin ?" dialog to buddy list delete-event
  * Use Pidgin dialogs for aliasing rather than from-scratch one
  * Added "Add" button to smiley theme prefs page
  * Added /home/user/MyDocs/* as shortcut directories to GtkFileChooser
  * Building under gregale works for both N770 and N800 => 1 distro

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 25 Apr 2007 21:36:44 +0300

gaim (2.0.0-0nix23) unstable; urgency=low

  * Fixed minor issue with initial left tab arrow in preferences
  * Compile with D-Bus support and disallow multi-instance
  * Fixed up new/edit status window
  * Bring existing convo window forward when double-clicking buddy
  * Make send button appear only in convo window
  * Use connectivity framework
  * Re-added g_slice stuff - no hangage (it was due to sound, not g_slice)
  * Turn account and protocol option menus into combo boxes
  * When double-clicking on a contact while its conversation window is
    already open, bring the conversation window to the front

 -- Gabriel Schulhof <nix@go-nix.ca>  Tue, 10 Apr 2007 23:01:02 +0300

gaim (2.0.0-0nix22) unstable; urgency=low

  * Using simplified .desktop file to keep D-Bus launch working

 -- Gabriel Schulhof <nix@go-nix.ca>  Fri,  6 Apr 2007 02:02:51 +0300

gaim (2.0.0-0nix21) unstable; urgency=low

  * Removing dbus stuff for N800 :o(

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed,  4 Apr 2007 10:08:41 +0300

gaim (2.0.0-0nix20) unstable; urgency=low

  * Made it work on N770
  * Made launch-via-D-Bus work on both
  * Reduced impact on configure.ac of creating gaim.desktop and gaim.service
    by moving their "hildonization" to debian/rules post-make processing

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed,  4 Apr 2007 01:46:47 +0300

gaim (2.0.0-0nix19) unstable; urgency=low

  * Fullscreen-able conversation and buddy list
  * Removed systray pref UI - pref forced to "never"
  * Do not try to play a sound while another sound is playing
  * Close button on debug window and tap-and-hold toolbar right-click menu
  * Added new browser choice: "OSSO" uses OSSO browser's D-Bus interface

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 31 Mar 2007 13:34:47 +0300

gaim (2.0.0-0nix18) unstable; urgency=low

  * Building with noopt,nostrip

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu, 29 Mar 2007 23:36:18 +0300

gaim (2.0.0-0nix17) unstable; urgency=low

  * Trying to blaim hangage on gslice allocator, by re-introducing
    the interal.h macros which re-define it as g_new - sure, the
    compiler may complain, but if it works, *shrug*

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu, 29 Mar 2007 01:14:36 +0300

gaim (2.0.0-0nix16) unstable; urgency=low

  * Replaced GtkCellRendererToggle kludge with
    "allow-checkbox-mode" = FALSE for all tree views containing
    GtkCellRendererToggle
  * Maemo launcher support

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Mar 2007 21:14:25 +0300

gaim (2.0.0-0nix15) unstable; urgency=low

  * Converted preferences option menus to combo boxes
  * Removed "quit" from buddy list "delete-event" - ignored instead

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Mar 2007 01:59:28 +0300

gaim (2.0.0-0nix14) unstable; urgency=low

  * Conversation window input improvements
  * More scrolled windows (pounce, plugin preferences)

 -- Gabriel Schulhof <nix@go-nix.ca>  Tue, 27 Mar 2007 01:11:29 +0300

gaim (2.0.0-0nix13) unstable; urgency=low

  * Placed plugin preferences widgets into an appropriately sized
    GtkScrolledWindow
  * Added "Send" button to editable IMHTML widgets

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 26 Mar 2007 13:52:42 +0300

gaim (2.0.0-0nix12) unstable; urgency=low

  * Plugin details in plugin list is now in a scrolled window


