=== debian/control ===
Source: pidgin
Section: user/communication
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-compat-howl-dev, sharutils
Standards-Version: 3.6.0

Package: pidgin
Section: user/instantmessaging
Architecture: any
Depends: ${shlibs:Depends}, maemo-launcher, maemo-select-menu-location
Description: Pidgin Internet Messenger for Maemo-based Internet Tablet
XB-Maemo-Display-Name: Pidgin Internet Messenger

Package: pidgin-dev
Section: devel
Architecture: any
Depends: pidgin (>= ${Source-Version}), pkg-config, libpurple-dev, libgtk2.0-dev, hildon-libs-dev | libhildon1-dev
Suggests: doc-base
Description: Pidgin Plugin Development Files

Package: pidgin-dbg
Section: devel
Architecture: any
Depends: pidgin (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Pidgin

Package: libpurple0
Section: net
Architecture: any
Depends: ${shlibs:Depends}, libnspr4, libnss3
Recommends: ca-certificates
Replaces: pidgin-protocol-aim-icq, pidgin-protocol-xmpp, pidgin (<= 2.2.2-0nix0)
Suggests: ${shlibs:Suggests}
Description: multi-protocol instant messaging library

Package: libpurple-dev
Section: libdevel
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), pkg-config, libglib2.0-dev, libdbus-glib-1-dev
Replaces: pidgin-dev (<= 2.2.2-0nix0)
Conflicts: pidgin-dev (<= 2.2.2-0nix0)
Description: multi-protocol instant messaging library - development files

Package: libpurple0-dbg
Section: libdevel
Architecture: any
Depends: libpurple0 (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for libpurple

Package: purple-protocol-sametime
Replaces: pidgin-protocol-sametime
Section: user/instantmessaging
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
XB-Maemo-Display-Name: Sametime Support
Description: Pidgin and Telepathy Sametime Support

Package: purple-protocol-sametime-dbg
Section: devel
Architecture: any
Depends: purple-protocol-sametime (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Sametime prpl

Package: purple-protocol-bonjour
Replaces: pidgin-protocol-bonjour
Section: user/instantmessaging
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
XB-Maemo-Display-Name: Bonjour Support
Description: Pidgin and Telepathy Bonjour Support

Package: purple-protocol-bonjour-dbg
Section: devel
Architecture: any
Depends: purple-protocol-bonjour (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Bonjour prpl

Package: pidgin-sounds
Section: user/instantmessaging
Architecture: all
Description: Pidgin Sounds
XB-Maemo-Display-Name: Pidgin Sounds

Package: pidgin-sounds-old
Section: user/instantmessaging
Architecture: all
Description: Old School Gaim 1.5.0 Sounds
XB-Maemo-Display-Name: Old School Gaim 1.5.0 Sounds

Package: pidgin-buddy-icons-qq
Section: user/instantmessaging
Architecture: all
Description: Pidgin QQ Buddy Icons
XB-Maemo-Display-Name: Pidgin QQ Buddy Icons

Package: pidgin-l10n
Section: user/instantmessaging
Architecture: all
Description: Pidgin Localization
XB-Maemo-Display-Name: Pidgin Language Support

Package: pidgin-emotes-default
Section: user/instantmessaging
Architecture: all
Description: Pidgin Default Emotes
XB-Maemo-Display-Name: Pidgin Default Smiley Theme
