=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX=/usr

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	LAUNCHER_CONFIGURE_SWITCH=--enable-maemo-launcher
	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
endif

config.status: configure
	echo -e '\033[7mtarget: config.status\033[0m'
	dh_testdir

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--sysconfdir=/etc --prefix=$(PREFIX) \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-hildon \
		--enable-icd \
		$(LAUNCHER_CONFIGURE_SWITCH) \
		--enable-dbus \
		--disable-consoleui \
		--disable-doxygen \
		--disable-gnutls \
		--disable-perl \
		--disable-gevolution

configure:
	echo -e '\033[7mtarget: configure\033[0m'
	#inflate upstream and prepare
	#patches must be properly numbered for this to work
	#i.e., pidgin_[0-9][0-9][0-9]_<description>.diff
	./autogen.sh
#	autoreconf -s -i && glib-gettextize && aclocal

build: build-stamp
	echo -e '\033[7mtarget: build\033[0m'

build-stamp: config.status
	echo -e '\033[7mtarget: build-stamp\033[0m'
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	echo -e '\033[7mtarget: clean\033[0m'
	dh_testdir
	dh_testroot
	rm -f *-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean 

install: build install-stamp

install-stamp:
	echo -e '\033[7mtarget: install\033[0m'
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	echo -e '\033[7mMaking install\033[0m'
	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# 26x26 icon - the "scalable" icons is installed via make install
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
	cp $(CURDIR)/debian/package-icons/pidgin.png $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon

	# mandatory D-Bus service file
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	cp $(CURDIR)/debian/override-files/pidgin.service $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
endif

	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	cp $(CURDIR)/debian/override-files/pidgin.desktop $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon
else
	cat $(CURDIR)/debian/override-files/pidgin.desktop | grep -v 'X-Osso-Service' > $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon/pidgin.desktop
endif

	# Ship default values for some settings
	mkdir -p $(CURDIR)/debian/tmp/etc/purple
	cp $(CURDIR)/debian/override-files/prefs.xml $(CURDIR)/debian/tmp/etc/purple

	# Gaim 1.5 sounds
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin
	cp -a $(CURDIR)/debian/old-sounds $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old
	rm -rf $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old/.svn

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	echo -e '\033[7mtarget: binary-indep\033[0m'
# We have nothing to do by default.

clean-debian:
	echo -e '\033[7mtarget: clean-debian\033[0m'
	rm -rf \
		`ls -ld debian/* | grep '^d' | grep -vE 'package-icons|old-sounds|override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
		debian/{*.{debhelper,substvars},files,pidgin.install}

# Build architecture-dependent files here.
binary-arch: build install clean-debian
	echo -e '\033[7mtarget: binary-arch\033[0m'

	$(CURDIR)/debian/scripts/add-icons-to-control

	# Remove the dreaded .la files
	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f

	# Grab only those .install.in globs that actually match
	echo -n '' > $(CURDIR)/debian/pidgin.install
	cat $(CURDIR)/debian/pidgin.install.in | while read; do \
		if eval "ls $(CURDIR)/debian/tmp/$$REPLY" > /dev/null; then \
			echo $$REPLY >> $(CURDIR)/debian/pidgin.install; \
		fi; \
	done

	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp --fail-missing -v
	dh_gconf
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	for dbg in `cat $(CURDIR)/debian/control | grep '^Package:' | grep --regex='-dbg$$' | awk '{print $$2;}' | sed 's/-dbg$$//'`; do \
		echo dh_strip --dbg-package=$$dbg; \
		dh_strip --dbg-package=$$dbg; \
	done
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs

	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$)/\1 || true/' > $$script.new && \
			mv $$script.new $$script; \
	done

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(LAUNCHER_DEPENDS)
	dh_md5sums

	dh_builddeb

	# remove icons added earlier
	cat $(CURDIR)/debian/control | grep -v '^XB-Maemo-Icon-26: ' > $(CURDIR)/debian/control.no-icons && \
		mv $(CURDIR)/debian/control.no-icons $(CURDIR)/debian/control

binary: binary-indep binary-arch
	echo -e '\033[7mtarget: binary\033[0m'

squeaky: clean clean-debian
	rm -rf \
		debian/tmp \
		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
		../pidgin_*.* \
		`find | grep 'Makefile\.in$$'` \
		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs

.PHONY: build clean binary-indep binary-arch binary install squeaky
