## pidgin 2.3.1-0nix0

=== debian/changelog ===
pidgin (2.3.1-0nix0) unstable; urgency=low

  * Moved up to 2.3.1
  * Added dh_pidgin to pidgin-dev package
  * Switched to native Avahi for Bonjour
  * Removed autocap hint for password and username entries

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun,  9 Dec 2007 14:50:53 +0200
