=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,9 @@
 	# Add here commands to compile the package.
 	$(MAKE)
 
+	pod2man $(CURDIR)/debian/dh_pidgin > $(CURDIR)/debian/dh_pidgin.1 || \
+		rm -f $(CURDIR)/debian/dh_pidgin.1
+
 	touch build-stamp
 
 clean:
@@ -85,7 +88,8 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
-	dh_clean 
+	dh_clean
+	rm -f $(CURDIR)/debian/dh_pidgin.1
 
 install: build install-stamp
 
@@ -126,6 +130,32 @@
 	cp -a $(CURDIR)/debian/old-sounds $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old
 	rm -rf $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old/.svn
 
+	# dh_pidgin
+	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/bin
+	cp $(CURDIR)/debian/dh_pidgin $(CURDIR)/debian/tmp$(PREFIX)/bin
+	if test -f $(CURDIR)/debian/dh_pidgin.1; then \
+		mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/man/man1; \
+		cp $(CURDIR)/debian/dh_pidgin.1 $(CURDIR)/debian/tmp$(PREFIX)/share/man/man1; \
+	fi
+
+	# Move icons to a Hildon-friendly place
+	for icon_dir in $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/* ; do \
+		if test -d $$icon_dir/apps; then \
+			echo mv $$icon_dir/apps $$icon_dir/hildon; \
+			mv $$icon_dir/apps $$icon_dir/hildon; \
+		else \
+			echo $$icon_dir/apps DNE; \
+		fi ; \
+	done
+	if test -f $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/48x48/hildon/pidgin.png; then \
+		mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/scalable/hildon; \
+		cp $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/48x48/hildon/pidgin.png \
+			$(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/scalable/hildon; \
+	fi
+
+	# Remove the dreaded .la files
+	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f
+
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -144,9 +174,6 @@
 	echo -e '\033[7mtarget: binary-arch\033[0m'
 
 	$(CURDIR)/debian/scripts/add-icons-to-control
-
-	# Remove the dreaded .la files
-	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f
 
 	# Grab only those .install.in globs that actually match
 	echo -n '' > $(CURDIR)/debian/pidgin.install
