## pidgin 2.3.1-0nix1

=== debian/changelog ===
pidgin (2.3.1-0nix1) unstable; urgency=low

  * Re-packaged to fix Chinook X86 release

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 15 Dec 2007 13:21:35 +0200
