## pidgin 2.3.1-1nix0

=== debian/changelog ===
pidgin (2.3.1-1nix0) unstable; urgency=low

  * Add Pidgin settings stored in /home/user/.purple to the "Settings" category in OSSO Backup

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 16 Dec 2007 16:04:33 +0200
