=== debian/rules ===
--- 
+++ 
@@ -156,6 +156,17 @@
 	# Remove the dreaded .la files
 	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f
 
+	# Add osso-backup script
+	mkdir -p $(CURDIR)/debian/tmp/etc/osso-backup/applications
+	cp $(CURDIR)/debian/pidgin.conf $(CURDIR)/debian/tmp/etc/osso-backup/applications
+
+	# Include author lists in copyright file
+	sed -e '/@PIDGIN_COPYRIGHT@/r COPYRIGHT' \
+		-e '/@PIDGIN_COPYRIGHT@/d' \
+		-e '/@OSCAR_AUTHORS@/r libpurple/protocols/oscar/AUTHORS' \
+		-e '/@OSCAR_AUTHORS@/d' \
+	debian/copyright.in > debian/copyright
+
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -167,7 +178,7 @@
 	echo -e '\033[7mtarget: clean-debian\033[0m'
 	rm -rf \
 		`ls -ld debian/* | grep '^d' | grep -vE 'package-icons|old-sounds|override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
-		debian/{*.{debhelper,substvars},files,pidgin.install}
+		debian/{*.{debhelper,substvars},files,pidgin.install,copyright}
 
 # Build architecture-dependent files here.
 binary-arch: build install clean-debian
@@ -240,4 +251,3 @@
 		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
 		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs
 
-.PHONY: build clean binary-indep binary-arch binary install squeaky
