## pidgin 2.4.3-0nix0

=== debian/changelog ===
pidgin (2.4.3-0nix0) unstable; urgency=low

  * Moved up to 2.4.3

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 09 Jul 2008 23:04:57 +0300

pidgin (2.4.0-0nix0) unstable; urgency=low

  * Moved up to 2.4.0
  * Replaced dialog hint and show-with-parent stuff with new transience hack
  * Made room list dialog usable via event drains during room retrieval and sorting

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 31 Dec 2007 00:13:42 +0200
