=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+version=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/-.*//')
+major=$(shell echo ${version} | cut -d. -f1-2)
+micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
+nextmicro=$(shell expr ${micro} + 1)
 
 CFLAGS = -Wall -g
 
@@ -55,6 +59,11 @@
 		--disable-doxygen \
 		--disable-gnutls \
 		--disable-perl \
+		--disable-screensaver \
+		--disable-startup-notification \
+		--disable-gtkspell \
+		--disable-nm \
+		--disable-tcl \
 		--disable-gevolution
 
 configure:
@@ -220,7 +229,7 @@
 	dh_fixperms
 #	dh_perl
 #	dh_python
-	dh_makeshlibs
+	dh_makeshlibs -V "libpurple0 (>= $(major).0)"
 
 	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
 	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
@@ -242,12 +251,3 @@
 binary: binary-indep binary-arch
 	echo -e '\033[7mtarget: binary\033[0m'
 
-squeaky: clean clean-debian
-	rm -rf \
-		debian/tmp \
-		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
-		../pidgin_*.* \
-		`find | grep 'Makefile\.in$$'` \
-		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
-		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs
-
