## pidgin 2.5.1-0nix0

=== debian/changelog ===
pidgin (2.5.1-0nix0) unstable; urgency=low

  * Moved up to 2.5.1

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 28 Sep 2008 08:51:58 +0300
