=== debian/control ===
--- 
+++ 
@@ -88,12 +88,6 @@
 Description: Old School Gaim 1.5.0 Sounds
 XB-Maemo-Display-Name: Old School Gaim 1.5.0 Sounds
 
-Package: pidgin-buddy-icons-qq
-Section: user/instantmessaging
-Architecture: all
-Description: Pidgin QQ Buddy Icons
-XB-Maemo-Display-Name: Pidgin QQ Buddy Icons
-
 Package: pidgin-l10n
 Section: user/instantmessaging
 Architecture: all
