=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
 nextmicro=$(shell expr ${micro} + 1)
 
+
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -40,12 +41,7 @@
 	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
 endif
 
-config.status: configure
-	echo -e '\033[7mtarget: config.status\033[0m'
-	dh_testdir
-
-	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure \
+CONFIGURE_SWITCHES = \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--sysconfdir=/etc --prefix=$(PREFIX) \
@@ -68,16 +64,15 @@
 
 configure:
 	echo -e '\033[7mtarget: configure\033[0m'
-	#inflate upstream and prepare
-	#patches must be properly numbered for this to work
-	#i.e., pidgin_[0-9][0-9][0-9]_<description>.diff
-	./autogen.sh
+	dh_testdir
+
+	CFLAGS="$(CFLAGS)" SBOX_DEFAULT_AUTOMAKE="1.9" ./autogen.sh $(CONFIGURE_SWITCHES)
 #	autoreconf -s -i && glib-gettextize && aclocal
 
 build: build-stamp
 	echo -e '\033[7mtarget: build\033[0m'
 
-build-stamp: config.status
+build-stamp: configure
 	echo -e '\033[7mtarget: build-stamp\033[0m'
 	dh_testdir
 
@@ -193,7 +188,9 @@
 binary-arch: build install clean-debian
 	echo -e '\033[7mtarget: binary-arch\033[0m'
 
-	$(CURDIR)/debian/scripts/add-icons-to-control
+	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
+		$(CURDIR)/debian/scripts/add-icons-to-control; \
+	fi
 
 	# Grab only those .install.in globs that actually match
 	echo -n '' > $(CURDIR)/debian/pidgin.install
@@ -245,9 +242,16 @@
 	dh_builddeb
 
 	# remove icons added earlier
-	cat $(CURDIR)/debian/control | grep -v '^XB-Maemo-Icon-26: ' > $(CURDIR)/debian/control.no-icons && \
-		mv $(CURDIR)/debian/control.no-icons $(CURDIR)/debian/control
+	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
+		$(CURDIR)/debian/scripts/add-icons-to-control --remove; \
+	fi
 
 binary: binary-indep binary-arch
 	echo -e '\033[7mtarget: binary\033[0m'
 
+squeaky: clean clean-debian
+	rm -rf \
+		debian/tmp \
+		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
+		../pidgin_*.* \
+		`find | grep 'Makefile\.in$$'` \
