## pidgin 2.5.1-0nix2

=== debian/changelog ===
pidgin (2.5.1-0nix2) unstable; urgency=low

  * Forgot to merge maemo-launcher code

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon,  6 Oct 2008 13:03:01 +0300

pidgin (2.5.1-0nix1) unstable; urgency=low

  * Updated package icons
  * Fixed away status icons in the saved statuses combo
  * Added --with-python=/usr/bin/python2.5 and python2.5 dependency
    in order to make D-Bus work

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat,  4 Oct 2008 21:17:55 +0300
