=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/communication
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev, python2.5
 Standards-Version: 3.6.0
 
 Package: pidgin
@@ -53,7 +53,7 @@
 Section: user/instantmessaging
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
-XB-Maemo-Display-Name: Sametime Support
+XB-Maemo-Display-Name: Pidgin Sametime Support
 Description: Pidgin and Telepathy Sametime Support
 
 Package: purple-protocol-sametime-dbg
@@ -67,7 +67,7 @@
 Section: user/instantmessaging
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
-XB-Maemo-Display-Name: Bonjour Support
+XB-Maemo-Display-Name: Pidgin Bonjour Support
 Description: Pidgin and Telepathy Bonjour Support
 
 Package: purple-protocol-bonjour-dbg
@@ -86,7 +86,7 @@
 Section: user/instantmessaging
 Architecture: all
 Description: Old School Gaim 1.5.0 Sounds
-XB-Maemo-Display-Name: Old School Gaim 1.5.0 Sounds
+XB-Maemo-Display-Name: Pidgin Old School Gaim 1.5.0 Sounds
 
 Package: pidgin-l10n
 Section: user/instantmessaging
