=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 endif
 
 CONFIGURE_SWITCHES = \
+		--with-python=/usr/bin/python2.5 \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--sysconfdir=/etc --prefix=$(PREFIX) \
@@ -254,4 +255,3 @@
 		debian/tmp \
 		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
 		../pidgin_*.* \
-		`find | grep 'Makefile\.in$$'` \
