## pidgin 2.5.8-0jonny1

=== debian/changelog ===
pidgin (2.5.8-0jonny1) diablo; urgency=low

  * debian/control: Added libpurple0 Depends on gconf2.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Tue, 04 Aug 2009 10:07:53 +0100

pidgin (2.5.8-0jonny0) diablo; urgency=low

  * New upstream release.
  * Removed disabling deprecated functions.
  * Don't install ssl-gnutls.so as it's not built.
  * Also install small emotes.
  * debian/rules: Fix typo in sed statement.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Mon, 13 Jul 2009 16:17:27 +0100
