## pidgin 2.5.8-0maemo0

=== debian/changelog ===
pidgin (2.5.8-0maemo0) fremantle; urgency=low

  * New upstream release.
  * Removed disabling deprecated functions.
  * Don't install ssl-gnutls.so
  * Also install small emotes.
  * debian/rules: Fix typo in sed statement.
  * debian/control:
    + Added libmeanwhile-dev build-dep.
    + Added gconf2 dependency on libpurple0.
  * Hacked around nss's broken pkg-config file.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Mon, 13 Jul 2009 16:17:27 +0100
