=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/communication
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev, python2.5
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, python2.5, libmeanwhile-dev
 Standards-Version: 3.6.0
 
 Package: pidgin
@@ -28,7 +28,7 @@
 Package: libpurple0
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, libnspr4, libnss3
+Depends: ${shlibs:Depends}, libnspr4, libnss3, gconf2
 Recommends: ca-certificates
 Replaces: pidgin (<= 2.2.2-0nix0), pidgin-protocol-aim-icq, pidgin-protocol-gadugadu, pidgin-protocol-irc, pidgin-protocol-msn, pidgin-protocol-novell-groupwise, pidgin-protocol-qq, pidgin-protocol-simple, pidgin-protocol-xmpp, pidgin-protocol-yahoo, pidgin-protocol-zephyr
 Suggests: ${shlibs:Suggests}
