=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,6 @@
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--enable-hildon \
-		--enable-icd \
 		$(LAUNCHER_CONFIGURE_SWITCH) \
 		--enable-dbus \
 		--disable-consoleui \
@@ -95,6 +94,7 @@
 	-$(MAKE) distclean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
+	rm -f configure
 
 install: build install-stamp
 
@@ -231,7 +231,7 @@
 
 	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
 	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
-		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$)/\1 || true/' > $$script.new && \
+		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*)/\1 || true/' > $$script.new && \
 			mv $$script.new $$script; \
 	done
