## pidgin 2.6.2-0nix0

=== debian/changelog ===
pidgin (2.6.2-0nix0) unstable; urgency=low

  * Started porting new version

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 31 Aug 2009 15:17:22 +0300

pidgin (2.5.1-2nix0) unstable; urgency=low

  * Restored "Close" button for "About" dialog
  * Made more windows transient

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 11 Oct 2008 21:40:27 +0300

pidgin (2.5.1-1nix1) unstable; urgency=low

  * Moved Section from user/instantmessaging to user/communication
  * Fixes: GB#2152

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon,  6 Oct 2008 13:03:01 +0300
