=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pidgin
-Section: user/communication
+Section: user/network
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, python2.5, libmeanwhile-dev
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev, python2.5, maemo-launcher-dev, debhelper-maemo-package-icons
 Standards-Version: 3.6.0
 
 Package: pidgin
-Section: user/instantmessaging
+Section: user/network
 Architecture: any
 Depends: ${shlibs:Depends}, maemo-launcher, maemo-select-menu-location
 Description: Pidgin Internet Messenger for Maemo-based Internet Tablet
@@ -28,7 +28,7 @@
 Package: libpurple0
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, libnspr4, libnss3, gconf2
+Depends: ${shlibs:Depends}, libnspr4, libnss3
 Recommends: ca-certificates
 Replaces: pidgin (<= 2.2.2-0nix0), pidgin-protocol-aim-icq, pidgin-protocol-gadugadu, pidgin-protocol-irc, pidgin-protocol-msn, pidgin-protocol-novell-groupwise, pidgin-protocol-qq, pidgin-protocol-simple, pidgin-protocol-xmpp, pidgin-protocol-yahoo, pidgin-protocol-zephyr
 Suggests: ${shlibs:Suggests}
@@ -50,7 +50,7 @@
 
 Package: purple-protocol-sametime
 Replaces: pidgin-protocol-sametime
-Section: user/instantmessaging
+Section: user/network
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
 XB-Maemo-Display-Name: Pidgin Sametime Support
@@ -64,7 +64,7 @@
 
 Package: purple-protocol-bonjour
 Replaces: pidgin-protocol-bonjour
-Section: user/instantmessaging
+Section: user/network
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
 XB-Maemo-Display-Name: Pidgin Bonjour Support
@@ -77,25 +77,19 @@
 Description: Debugging symbols for Bonjour prpl
 
 Package: pidgin-sounds
-Section: user/instantmessaging
+Section: user/network
 Architecture: all
 Description: Pidgin Sounds
 XB-Maemo-Display-Name: Pidgin Sounds
 
-Package: pidgin-sounds-old
-Section: user/instantmessaging
-Architecture: all
-Description: Old School Gaim 1.5.0 Sounds
-XB-Maemo-Display-Name: Pidgin Old School Gaim 1.5.0 Sounds
-
 Package: pidgin-l10n
-Section: user/instantmessaging
+Section: user/network
 Architecture: all
 Description: Pidgin Localization
 XB-Maemo-Display-Name: Pidgin Language Support
 
 Package: pidgin-emotes-default
-Section: user/instantmessaging
+Section: user/network
 Architecture: all
 Description: Pidgin Default Emotes
 XB-Maemo-Display-Name: Pidgin Default Smiley Theme
