=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,6 @@
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
-endif
-
-ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
-	LAUNCHER_CONFIGURE_SWITCH=--enable-maemo-launcher
-	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
 endif
 
 CONFIGURE_SWITCHES = \
@@ -49,7 +44,7 @@
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--enable-hildon \
-		$(LAUNCHER_CONFIGURE_SWITCH) \
+		--enable-icd \
 		--enable-dbus \
 		--disable-consoleui \
 		--disable-doxygen \
@@ -60,7 +55,14 @@
 		--disable-gtkspell \
 		--disable-nm \
 		--disable-tcl \
+                --disable-vv \
+                --disable-idn \
 		--disable-gevolution
+
+ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+	CONFIGURE_SWITCHES += --enable-maemo-launcher
+	USE_MAEMO_LAUNCHER = true
+endif
 
 configure:
 	echo -e '\033[7mtarget: configure\033[0m'
@@ -94,7 +96,6 @@
 	-$(MAKE) distclean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
-	rm -f configure
 
 install: build install-stamp
 
@@ -111,7 +112,7 @@
 
 	# 26x26 icon - the "scalable" icons is installed via make install
 	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
-	cp $(CURDIR)/debian/package-icons/pidgin.png $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
+	cp $(CURDIR)/debian/pidgin.png $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
 
 	# mandatory D-Bus service file
 	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
@@ -129,11 +130,6 @@
 	# Ship default values for some settings
 	mkdir -p $(CURDIR)/debian/tmp/etc/purple
 	cp $(CURDIR)/debian/override-files/prefs.xml $(CURDIR)/debian/tmp/etc/purple
-
-	# Gaim 1.5 sounds
-	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin
-	cp -a $(CURDIR)/debian/old-sounds $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old
-	rm -rf $(CURDIR)/debian/tmp$(PREFIX)/share/sounds/pidgin/old/.svn
 
 	# dh_pidgin
 	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/bin
@@ -182,17 +178,10 @@
 clean-debian:
 	echo -e '\033[7mtarget: clean-debian\033[0m'
 	rm -rf \
-		`ls -ld debian/* | grep '^d' | grep -vE 'package-icons|old-sounds|override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
+		`ls -ld debian/* | grep '^d' | grep -vE 'override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
 		debian/{*.{debhelper,substvars},files,pidgin.install,copyright}
 
-# Build architecture-dependent files here.
-binary-arch: build install clean-debian
-	echo -e '\033[7mtarget: binary-arch\033[0m'
-
-	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
-		$(CURDIR)/debian/scripts/add-icons-to-control; \
-	fi
-
+$(CURDIR)/debian/pidgin.install: $(CURDIR)/debian/pidgin.install.in
 	# Grab only those .install.in globs that actually match
 	echo -n '' > $(CURDIR)/debian/pidgin.install
 	cat $(CURDIR)/debian/pidgin.install.in | while read; do \
@@ -201,6 +190,11 @@
 		fi; \
 	done
 
+# Build architecture-dependent files here.
+binary-arch: build install clean-debian $(CURDIR)/debian/pidgin.install
+	echo -e '\033[7mtarget: binary-arch\033[0m'
+
+	dh_maemo_package_icons
 	dh_testdir
 	dh_testroot
 #	dh_installchangelogs ChangeLog
@@ -219,6 +213,9 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
+	if test "x$(USE_MAEMO_LAUNCHER)" = "xtrue"; then \
+	  dh_maemolauncher -v; \
+	fi
 	for dbg in `cat $(CURDIR)/debian/control | grep '^Package:' | grep --regex='-dbg$$' | awk '{print $$2;}' | sed 's/-dbg$$//'`; do \
 		echo dh_strip --dbg-package=$$dbg; \
 		dh_strip --dbg-package=$$dbg; \
@@ -231,7 +228,7 @@
 
 	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
 	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
-		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*)/\1 || true/' > $$script.new && \
+		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$$)/\1 || true/' > $$script.new && \
 			mv $$script.new $$script; \
 	done
 
@@ -239,13 +236,8 @@
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
-
 	dh_builddeb
-
-	# remove icons added earlier
-	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
-		$(CURDIR)/debian/scripts/add-icons-to-control --remove; \
-	fi
+	dh_maemo_package_icons -r
 
 binary: binary-indep binary-arch
 	echo -e '\033[7mtarget: binary\033[0m'
@@ -255,3 +247,8 @@
 		debian/tmp \
 		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
 		../pidgin_*.* \
+		`find | grep 'Makefile\.in$$'` \
+		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
+		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs
+
+.PHONY: build clean binary-indep binary-arch binary install squeaky
