## pidgin 2.6.2-0nix1

=== debian/changelog ===
pidgin (2.6.2-0nix1) unstable; urgency=low

  * Forgot to override pidgin.desktop

 -- Gabriel Schulhof <nix@go-nix.ca>  Fri, 25 Sep 2009 22:36:59 +0300
