## pidgin 2.6.2-1nix0

=== debian/changelog ===
pidgin (2.6.2-1nix0) unstable; urgency=low

  * Making it work on Fremantle
  * Introducing Hildon 2.2 widgets
  * Re-doing conditional compilation to accomodate everything from Bora to Fremantle

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 26 Oct 2009 19:18:03 +0200

pidgin (2.6.2-0nix2) unstable; urgency=low

  * Make sounds work on OS2007 by re-introducing the old hack, but only for OS2007
    (i.e., when HAVE_HILDON_1 is not defined)

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 30 Sep 2009 14:00:02 +0300
