=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/network
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, sharutils, libmeanwhile-dev, python2.5, maemo-launcher-dev, debhelper-maemo-package-icons
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.6.0), hildon-libs-dev | libhildon1-dev, libgstreamer0.10-dev, libdbus-1-dev, libdbus-glib-1-dev, intltool, libnss3-dev, libnspr4-dev, libavahi-core-dev, libavahi-glib-dev, libavahi-client-dev, libmeanwhile-dev, python2.5, maemo-launcher-dev, debhelper-maemo-package-icons
 Standards-Version: 3.6.0
 
 Package: pidgin
 Section: user/network
 Architecture: any
-Depends: ${shlibs:Depends}, maemo-launcher, maemo-select-menu-location
+Depends: ${shlibs:Depends}, maemo-launcher
 Description: Pidgin Internet Messenger for Maemo-based Internet Tablet
 XB-Maemo-Display-Name: Pidgin Internet Messenger
