=== debian/rules ===
--- 
+++ 
@@ -93,7 +93,7 @@
 	rm -f *-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	-$(MAKE) clean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
 
@@ -243,6 +243,7 @@
 	echo -e '\033[7mtarget: binary\033[0m'
 
 squeaky: clean clean-debian
+	-$(MAKE) distclean
 	rm -rf \
 		debian/tmp \
 		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
